Reset connection (reconnect)

- « pg_connection_busy

- pg_connection_status »

- PHP Manual
- PostgreSQL Functions
- Reset connection (reconnect)

# pg_connection_reset

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_connection_reset — Reset connection (reconnect)

### Description

pg_connection_reset(PgSql\Connection `$connection`): bool

pg_connection_reset() resets the connection. It is useful for error recovery.

### Parameters

`connection`

  An PgSql\Connection instance.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.

### Examples

Example #1 pg_connection_reset() example

    <?php  $dbconn = pg_connect("dbname=publisher") or die("Could not connect");  $dbconn2 = pg_connection_reset($dbconn);  if ($dbconn2) {      echo "reset successful\n";  } else {      echo "reset failed\n";  }?>

### See Also

- pg_connect() - Open a PostgreSQL connection
- pg_pconnect() - Open a persistent PostgreSQL connection
- pg_connection_status() - Get connection status